Get Mergers & Acquisitions Data
curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/stocks/mergers-acquisitions \
--header 'X-API-Key: <api-key>'import requests
url = "https://data-tools.prd.arrays.org/api/v1/stocks/mergers-acquisitions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://data-tools.prd.arrays.org/api/v1/stocks/mergers-acquisitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"count": 123,
"data": [
{
"acceptance_time": "2024-10-18 16:39:48",
"cik": "0000314489",
"company_name": "FIRST BUSEY CORP /NV/",
"symbol": "BUSE",
"targeted_cik": "0001458412",
"targeted_company_name": "CROSSFIRST BANKSHARES, INC.",
"targeted_symbol": "CFB",
"transaction_date": "2024-10-18",
"url": "https://www.sec.gov/Archives/edgar/data/314489/000110465924109878/tm2423752-2_s4.htm"
}
]
}
],
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}Stock
Get Mergers & Acquisitions Data
- Regulatory compliance monitoring
Pagination & Limits
- Default: 100 records per page
- Maximum: 1000 records per request
GET
/
v1
/
stocks
/
mergers-acquisitions
Get Mergers & Acquisitions Data
Authorizations
API Key authentication. Example: "your-api-key-here"
Query Parameters
Start time (Unix timestamp in seconds)
End time (Unix timestamp in seconds)
Stock symbol (e.g., AAPL, RIO, WLKP)
⌘I

